Gecode::ViewTracer< View > Class Template Referenceabstract
Functionality by programming task » Programming models » Tracing constraint propagation

Tracer that process view trace information. More...

`#include <tracer.hpp>`

## Public Member Functions

| ViewTracer (void)
| Constructor.
virtual void | init (const Space &home, const ViewTraceRecorder< View > &t)=0
| Init function.
virtual void | prune (const Space &home, const ViewTraceRecorder< View > &t, const ViewTraceInfo &vti, int i, typename TraceTraits< View >::TraceDelta &d)=0
| Prune function.
virtual void | fail (const Space &home, const ViewTraceRecorder< View > &t)=0
| Fail function.
virtual void | fix (const Space &home, const ViewTraceRecorder< View > &t)=0
| Fixpoint function.
virtual void | done (const Space &home, const ViewTraceRecorder< View > &t)=0
| Done function.
virtual | ~ViewTracer (void)
| Destructor.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.
Static Protected Attributes inherited from Gecode::TracerBase
static Support::Mutex | m
| Mutex to provide synchronization.

## Detailed Description

template<class View>
class Gecode::ViewTracer< View >

Tracer that process view trace information.

Definition at line 51 of file tracer.hpp.

## Constructor & Destructor Documentation

## ViewTracer()

template<class View>

Gecode::ViewTracer< View >::ViewTracer | ( | void |  | ) |

inline

Constructor.

Definition at line 252 of file tracer.hpp.

## ~ViewTracer()

template<class View>

Gecode::ViewTracer< View >::~ViewTracer | ( | void |  | ) |

inline virtual

Destructor.

Definition at line 295 of file tracer.hpp.

## Member Function Documentation

## init()

template<class View>

virtual void Gecode::ViewTracer< View >::init | ( | const Space & | home,
|  | const ViewTraceRecorder< View > & | t )

pure virtual

Init function.

The init function is called when the trace collector has been initialized.

## prune()

template<class View>

virtual void Gecode::ViewTracer< View >::prune | ( | const Space & | home,
|  | const ViewTraceRecorder< View > & | t,
|  | const ViewTraceInfo & | vti,
|  | int | i,
|  | typename TraceTraits< View >::TraceDelta & | d )

pure virtual

Prune function.

The variable at position i has been modified where the modification is described by d. Additional information about how the variable has been changed is provided by the trace collector t and execution information ei.

## fail()

template<class View>

virtual void Gecode::ViewTracer< View >::fail | ( | const Space & | home,
|  | const ViewTraceRecorder< View > & | t )

pure virtual

Fail function.

The fail function is called whenever home containing the trace collector t has been failed.

## fix()

template<class View>

virtual void Gecode::ViewTracer< View >::fix | ( | const Space & | home,
|  | const ViewTraceRecorder< View > & | t )

pure virtual

Fixpoint function.

The fixpoint function is called whenever home containing the trace collector t reaches a fixpoint (and fixpoint tracing is enabled).

## done()

template<class View>

virtual void Gecode::ViewTracer< View >::done | ( | const Space & | home,
|  | const ViewTraceRecorder< View > & | t )

pure virtual

Done function.

The done function is called whenever the trace collector t is done and will terminate.

The documentation for this class was generated from the following file:

- gecode/kernel/trace/tracer.hpp